TICKIT_RECT_INTERSECT(3)

NAME
tickit_rect_intersect - obtain the intersection of two rectangles

SYNOPSIS
    #include <tickit.h>

    bool tickit_rect_intersect(TickitRect *dst,
         const TickitRect *a, const TickitRect *b);

Link with -ltickit.

DESCRIPTION
tickit_rect_intersect() tests if the two rectangles given by a and b intersect and if so, initialises the rectangle structure given by dst to contain it. It returns true if it did this. If the two given rectangles do not intersect then it returns false and does not modify the structure given by dst.

dst may be equal to either a or b, or it may refer to a distinct rectangle structure. The two source rectangles are read before the result is written.

To simply test if two given rectangles intersect without obtaining the actual intersection region, use tickit_rect_intersects(3).

RETURN VALUE
tickit_rect_intersect() returns true if the rectangles intersect, and false if not.

SEE ALSO
tickit_rect_init_sized(3), tickit_rect_init_bounded(3), tickit_rect_intersects(3), tickit_rect_add(3), tickit_rect_subtract(3), tickit_rect(7), tickit(7)